Subject: [PATCH 1/2] mfd: add irq domain support for max8997 interrupts

From: [email-masked] (Mark Brown)
Date: Fri, 9 Dec 2011 16:15:04 +0800

On Fri, Dec 09, 2011 at 12:49:49PM +0530, Thomas Abraham wrote:
> On 9 December 2011 12:09, Mark Brown

> > How would you provide this interrupt to the device using it in a non-DT
> > systemm without passing the irq_base into the device as platform data?

> In non-DT system, the linux irq number that is used to register the
> gpio interrupt notifier would belong to the irq domain of the host
> interrupt controller (gic). For Exynos, the linux irq numbers that
> belong to the gic irq domain are statically assigned to specific
> interrupt notifiers and known to the entire system.

This seems like it's going to be a bit of a usability issue at best as
users will have to figure out the relevant domain and the offset we end
up with within it, and you appear to be making assumptions about the
system you're running on here.  The way this has been handled for other
drivers is by using irq_alloc_descs with platform data to provide a
default, preserving the old behaviour on non-OF systems.